PHP Manual
Prev |  | Next

# ZipArchive::statIndex

(no version information, might be only in CVS)

ZipArchive::statIndex -- Get the details of an entry defined by its index.

## Description

mixed ZipArchive::statIndex ( int index [, int flags] )

The function obtains information about the entry defined by its index.

## Parameters

index

  Index of the entry

flags

  `ZIPARCHIVE::FL_UNCHANGED` may be ORed to it to request information about the original file in the archive, ignoring any changes made.

## Return Values

Returns an array containing the entry details or `FALSE` on failure.

## Examples

Example 1. Dump the stat info of an entry

`<?php $zip = new ZipArchive; $res = $zip->open('test.zip') if ($res === TRUE) { print_r($zip->statIndex(3)); $zip->close(); } else { echo 'failed, code:' . $res; } ?>`

The above example will output something similar to:

    Array
    (
        [name] => foobar/baz
        [index] => 3
        [crc] => 499465816
        [size] => 27
        [mtime] => 1123164748
        [comp_size] => 24
        [comp_method] => 8
    )

Prev | Home | Next
ZipArchive::setCommentName | Up | ZipArchive::statName